curl --request GET \
--url https://api.wodup.dev/api/public/programs \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.wodup.dev/api/public/programs"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.wodup.dev/api/public/programs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"access": "private",
"id": "p_123abc",
"name": "Strength and Conditioning",
"period": "continuous",
"status": "active"
}
]{
"errors": {}
}List programs
Return all programs for your organization. Does not include PT programs.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
Only used by platform integrations
ID of gym to execute on behalf of
"gym_123abc"
Query Parameters
Filter by program status
active, archived, all A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
1 <= x <= 10050
A cursor for use in pagination. after_cursor is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after_cursor=obj_foo in order to fetch the next page of the list.
"ath_abcdef"
A cursor for use in pagination. before_cursor is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include before_cursor=obj_bar in order to fetch the previous page of the list.
"ath_abcdef"
Response
Program list
Program ID
Program name
Program status. Archived programs are returned as inactive.
active, inactive Program access. athlete is a personal-training program belonging to a single athlete.
all_members, private, athlete Program period
continuous, fixed, template [ { "access": "private", "id": "p_123abc", "name": "Strength and Conditioning", "period": "continuous", "status": "active" } ]